MuteNPC = {}

-- Bindings

ZO_CreateStringId("SI_BINDING_NAME_MUTENPC", "Mute Npc")
ZO_CreateStringId("SI_BINDING_NAME_UNMUTENPC", "Unmute Npc")
ZO_CreateStringId("SI_BINDING_NAME_TOGGLENPC", "Toggle Npc")
ZO_CreateStringId("SI_BINDING_NAME_TOGGLEHELM", "Toggle Helm")

-- end Bindings

local function Initialize( self, addOnName )
  if addOnName ~= "MuteNPC" then return end
end


--One way function


-- NPC VOLUME

function mute()	
	local control = ZO_OptionsWindow.controlTable[2][9]
	SetSetting(control.system, control.settingId, 1)	
end

function unmu()	
	local control = ZO_OptionsWindow.controlTable[2][9]
	SetSetting(control.system, control.settingId, 100)	
end


-- HELM SHOW HIDE

function helm()	
	local control = ZO_OptionsWindow.controlTable[3][9]
	SetSetting(control.system, control.settingId, 0)	
end

function nohelm()	
	local control = ZO_OptionsWindow.controlTable[3][9]
	SetSetting(control.system, control.settingId, 1)	
end 


-- Toggle Functions


-- HELM TOOGLE
function toghelm()              
  local control = ZO_OptionsWindow.controlTable[3][9]
  local helmStatus = GetSetting(control.system, control.settingId)                 
  
  if helmStatus == "1"
    then helmStatus = "0"
  else
    helmStatus = "1"
  end

  SetSetting(control.system, control.settingId, (helmStatus))
end

 -- NPC VOLUME TOGGLE

function tognpc()
local control = ZO_OptionsWindow.controlTable[2][9]
	local npcvol = GetSetting(control.system, control.settingId)
		if var == "1" 
			then var = "100" 
		else 
			var = "1"
	end										
SetSetting(control.system, control.settingId, (var)) 
end


-- slash commands

SLASH_COMMANDS["/tognpc"] = tognpc
SLASH_COMMANDS["/mu"] = mute
SLASH_COMMANDS["/un"] = unmu
SLASH_COMMANDS["/toghelm"] = toghelm
SLASH_COMMANDS["/helm"] = helm
SLASH_COMMANDS["/nohelm"] = nohelm
SLASH_COMMANDS["/rl"] = function() ReloadUI("ingame")
end

EVENT_MANAGER:RegisterForEvent("MuteNPC", EVENT_ADD_ON_LOADED, Initialize )